# -*- coding: iso-8859-1 -*-
"""
Interfaccia specifica della lingua per pyfdate, per lingua: Italiano
"""
LANG = "Italiano"
TimeExpressedIn24Hours = True
CivilTimeSeparator = ":"
CivilDateFormat = "d m y"  # m=nameOfMonth  d=dayOfMonth y=year

DAY     = u"giorno"
DAYS    = u"giorni"
HOUR    = u"ora"
HOURS   = u"ora"
MINUTE  = u"minuto"
MINUTES = u"minuti"
SECOND  = u"appoggiano"
SECONDS = u"appoggia"

WEEK    = u"settimana"
WEEKS   = u"settimane"
MONTH   = u"mese"
MONTHS  = u"mesi"
YEAR    = u"anno"
YEARS   = u"anni"

MONTH_NAMES = \
{ 1:u"Gennaio"
, 2:u"Febbraio"
, 3:u"Marzo"
, 4:u"Aprile"
, 5:u"Maggio"
, 6:u"Giugno"
, 7:u"Luglio"
, 8:u"Agosto"
, 9:u"Settembre"
,10:u"Ottobre"
,11:u"Novembre"
,12:u"Dicembre"
}

WEEKDAY_NAMES = \
{1:u"Luned"
,2:u"Marted"
,3:u"Mercoled"
,4:u"Gioved"
,5:u"Venerd"
,6:u"Sabato"
,7:u"Domenica"
} 

#-----------------------------------------------------------------------
# make constants for month names and weekday names
# this may not work for all languages. (see below)
#-----------------------------------------------------------------------
for __monthNumber, __monthName in MONTH_NAMES.items():
	__monthName = __monthName.upper().replace("-","_")
	exec(__monthName + " = " + str(__monthNumber))
	
"""
# these will have to wait for Python 3
LUNED = 1    
MARTED = 2    
MERCOLED = 3    
GIOVED = 4    
VENERD = 5    
SABATO = 6    
DOMENICA = 7
"""

LUNEDI = 1    
MARTEDI = 2    
MERCOLEDI = 3    
GIOVEDI = 4    
VENERDI = 5    
SABATO = 6    
DOMENICA = 7
