# -*- coding: iso-8859-1 -*-
"""
Language-specific interface for pyfdate, for language: Turkish
dil-zgl arayzey iin pyfdate , iin dil : Trk

Revised: 2008-03-18
Many thanks to onur zbalci for correcting many mistakes in the 
first draft of this file.
"""
LANG = "Turkish"
TimeExpressedIn24Hours = True
CivilTimeSeparator = ":"
CivilDateFormat = "d m y" # m=nameOfMonth  d=dayOfMonth y=year

DAY     =u"gn" 
DAYS    =u"gnler"
HOUR    =u"saat" 
HOURS   =u"saatler"
MINUTE  =u"dakika"
MINUTES =u"dakikalar"
SECOND  =u"saniye"
SECONDS =u"saniyeler"

WEEK    =u"hafta"
WEEKS   =u"haftalar"
MONTH   =u"ay"
MONTHS  =u"aylar"
YEAR    =u"yil"
YEARS   =u"yillar"

MONTH_NAMES = \
{ 1:u"ocak"
, 2:u"subat"
, 3:u"mart"
, 4:u"nisan"
, 5:u"mayis"
, 6:u"haziran"
, 7:u"temmuz"
, 8:u"agustos"
, 9:u"eyll"
,10:u"ekim"
,11:u"kasim"
,12:u"aralik"
}

weekday_names = \
{1:u"pazartesi"
,2:u"sali"
,3:u"arsamba"
,4:u"persembe"
,5:u"cuma"
,6:u"cumartesi"    
,7:u"pazar"    
}
  
OCAK       = 1 
SUBAT      = 2 
MART       = 3  
NISAN      = 4 
MAYIS      = 5 
HAZIRAN    = 6 
TEMMUZ     = 7 
AGUSTOS    = 8 
#EYLL      = 9  # not until Python 3
EYLUL      = 9 
EKIM       = 10 
KASIM      = 11 
ARALIK     = 12 

PAZARTESI  = 1 
SALI       = 2 
#CARSAMBA   = 3  # not until Python 3
ARSAMBA   = 3 
PERSEMBE   = 4 
CUMA       = 5 
CUMARTESI  = 6 
PAZAR      = 7 
